@import url('https://fonts.googleapis.com/css2?family=Indie+Flower&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Amatic+SC:wght@400;700&family=Indie+Flower&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Amatic+SC:wght@400;700&family=Indie+Flower&family=Quicksand:wght@300&display=swap');
html{
    font-family: 'Quicksand', sans-serif;
}

h1,h2,h3,h4,h5,h6{
    font-weight: 300;

}
.item img:hover{
    transform: scale(1.05);
    transition: all ease ;
    border-radius: 15px;
    box-shadow: 0 0 5px rgb(136, 219, 140);
}


.heading{
    font-size: 50px; 
    font-family: 'Amatic SC', cursive;
}

a{
    text-decoration:none;
}
#logo{
    width: 100px;
    height:100px;
    margin-left: auto;
    margin-right: auto;
    display: block;
}

.heading,
.recipe-title{
    text-align: center;
}
h3{
    font-weight: bold;
}
.content{
 display:flex;
 flex-direction: row;
 justify-content: center;
 font-size: 20px;
 gap:20px;
}

div img{
    
    width:350px;
    height:500px;
}

.item{
    display: inline-block; /* Change from flex to inline-block */
    width: calc(33.33% - 35px); /* Adjust width for three items per line */
    margin: 10px;
    vertical-align: top;
    text-align: center; /* Center align content */
}

.left{
    
    display: flex;
    flex-direction: column;
    gap:20px;
    padding-left: 30px;
    width:420px;
    height: 1507px;
}
.left img{
    border-radius: 10px;

}
.content{
    gap:40px;
    display: flex;
}

.content2 {
    text-align: center;
    display: block; /* Change from flex to block */
    width: 100%; /* Ensure full width */
}

.right-top{
    border-radius: 10px;
    border:1px solid rgb(41, 41, 41);
    height:500px;
}

ul{
    list-style-type: none;
    padding:0;  
}

.steps-container{   
    margin-top:20px;
    border-radius: 10px;
    border:1px solid rgb(71, 71, 71);
    height: 987px;

}

.ingredients-container{
    border-radius: 10px;
    background-color: rgb(240, 236, 230);
    padding:20px;
    flex-grow: 3;
}

.right-top,
.steps-container{
    padding:0 20px 0px 20px;
}

.search button {
    padding: 10px 20px;
    font-size: 16px;
    background-color: #4CAF50; /* Adjust background color if needed */
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 5px; /* Add border radius for rounded corners */
 }

 .search {
    margin-bottom: 20px;
    display: flex;
  }
  
  .search input {
    padding: 10px;
    font-size: 16px;
    border: 1px solid #ccc;
    flex-grow: 1;
    margin-right: 10px;
  }
  
  .search button {
    padding: 10px 20px;
    font-size: 16px;
    background-color: #4CAF50;
    color: white;
    border: none;
    cursor: pointer;
  }
  